Bug 78374 - compat between compat-glibc and updated glibc2.2.5-42 from rhn
compat between compat-glibc and updated glibc2.2.5-42 from rhn
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: compat-glibc (Show other bugs)
7.3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-21 16:00 EST by Sean Brown
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 09:31:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Brown 2002-11-21 16:00:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
I am installing Oracle8i on my RH 7.3 systems, i know that its not certified to 
run, but it will, if I install the compat-glibc and install Oracle before 
running up2date and upgrade the glibc packages. It appears that the compat 
packages do not make the proper calls to the glibc2.2.5-42 package that is now 
on the RHN for an update.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install compat-glibc from the RH 7.3 CD
2.Run up2date and update to glibc-2.2.5-42
3.Run the script compat-glibc installed to /usr/i386-glibc21-linux/bin
4.Run the Oracle Installer
5.Patch the Oracle_Home with Oracles
 stubs patch for glibc2.2
6.run dbassist to create a database - reports "ORACLE NOT AVAILABLE" indicating 
bad linking.	

Actual Results:  Can not create a database, several 0 length files similar to 
installing Oracle8i without the compat-glibc packages, database creation 
assistent reports ORACLE NOT AVAILABLE

Expected Results:  dbassist should create a database with no problems

Additional info:

I have installed Oracle 8i on Red Hat 7.3 before with no problems before the 
glibc2.2.5-42 package was released.
Comment 1 Jakub Jelinek 2004-10-07 09:31:19 EDT
compat-glibc was not doing any calls to the main glibc.
Anyway, RHL 7.3 is now not supported any more.

Note You need to log in before you can comment on or make changes to this bug.